package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.ServiceGoods;
import org.apache.ibatis.annotations.Param;

/**
 * 服务内容Service接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IServiceGoodsService 
{
    /**
     * 查询服务内容
     * 
     * @param id 服务内容主键
     * @return 服务内容
     */
    public ServiceGoods selectServiceGoodsById(Long id);

    /**
     * 查询服务内容列表
     * 
     * @param serviceGoods 服务内容
     * @return 服务内容集合
     */
    public List<ServiceGoods> selectServiceGoodsList(ServiceGoods serviceGoods);

    /**
     * 查询服务内容列表
     *
     * @param ids 服务内容
     * @return 服务内容集合
     */
    public String selectTitlesByIds(List<String> ids);


    /**
     * 新增服务内容
     * 
     * @param serviceGoods 服务内容
     * @return 结果
     */
    public int insertServiceGoods(ServiceGoods serviceGoods);

    /**
     * 修改服务内容
     * 
     * @param serviceGoods 服务内容
     * @return 结果
     */
    public int updateServiceGoods(ServiceGoods serviceGoods);

    /**
     * 批量删除服务内容
     * 
     * @param ids 需要删除的服务内容主键集合
     * @return 结果
     */
    public int deleteServiceGoodsByIds(Long[] ids);

    /**
     * 删除服务内容信息
     * 
     * @param id 服务内容主键
     * @return 结果
     */
    public int deleteServiceGoodsById(Long id);
}
